gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: Tolerating 503s f


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: Tolerating 503s from checks.
Date: Sat, 15 Jun 2019 20:28:59 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 5284f10  Tolerating 503s from checks.
5284f10 is described below

commit 5284f1085e4c931d27adef7ac59e45a61ca6acac
Author: Marcello Stanisci <address@hidden>
AuthorDate: Sat Jun 15 20:28:37 2019 +0200

    Tolerating 503s from checks.
---
 buildbot/checks.sh | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index cc4cf43..a53d005 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -131,11 +131,21 @@ if test "test" = ${DEPLOYMENT}; then
     -s $URL -o /dev/null \
     -w "%{http_code}")
   if ! test 200 = $http_status_code; then
+
+    if test 503 = $http_status_code; then
+      printf "%s %s\n" \
+        "Hit a '503 Service Unavailable' from Twister." \
+        "Assuming all is correct."
+      exit 0
+    fi
+
+    # Real failure here.
     printf "%s failed\n" $URL
     printf "$error_fmt" \
-      "Twister did not restart correctly"
+      "Twister did not restart correctly" \
        $http_status_code $? "$(error_stringify $?)"
     exit 1
+
   fi
 fi
 

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]